<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>elab-parent</artifactId>
        <groupId>com.elab.core</groupId>
        <version>2.0.5.2-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>elab-rocketMQ</artifactId>

    <properties>
        <!--<springframework.version>5.1.8.RELEASE</springframework.version>-->
        <rocketmq-spring-boot-starter-version>2.0.3</rocketmq-spring-boot-starter-version>
        <springboot.version></springboot.version>
    </properties>
    <dependencies>
        <dependency>
            <groupId>com.elab.core</groupId>
            <artifactId>elab-spring</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.elab.core</groupId>
            <artifactId>elab-db</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.rocketmq</groupId>
            <artifactId>rocketmq-spring-boot-starter</artifactId>
            <version>${rocketmq-spring-boot-starter-version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <version>2.0.5.RELEASE</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>2.8.2</version>
        </dependency>
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
        </dependency>
    </dependencies>
    <distributionManagement>
        <repository>
            <id>releases</id>
            <name>Nexus Release Repository</name>
            <url>http://192.168.0.11:8081/nexus/content/repositories/elab/</url>
        </repository>
    </distributionManagement>
</project>